Bug 157985 - create non-ant based variant of ProjectClasspathModifier.addAntArtifact() method
create non-ant based variant of ProjectClasspathModifier.addAntArtifact() method
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 118694 157918
  Show dependency treegraph
 
Reported: 2009-02-05 12:52 UTC by Milos Kleint
Modified: 2009-02-19 21:09 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
suggested api change along with implementation and usage (23.10 KB, patch)
2009-02-05 14:36 UTC, Milos Kleint
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2009-02-05 12:52:46 UTC
required to make some features more generic and allow reuse and proper functionality in maven projects as well.
Comment 1 Milos Kleint 2009-02-05 14:36:00 UTC
Created attachment 76613 [details]
suggested api change along with implementation and usage
Comment 2 Milos Kleint 2009-02-05 14:38:52 UTC
please review this api change tat attempts to de-ant-ize the current classpath modification api so that it's reusable by
non-ant based projects (read maven). 
Comment 3 Milos Kleint 2009-02-10 07:44:58 UTC
thanks for review, I will integrate tomorrow.
Comment 4 Jesse Glick 2009-02-10 15:35:35 UTC
Check your Javadoc for errors, e.g. @see where {@link ...} is required and . where # is required.


The Maven impl looks wrong. (1) It returns true whether or not it made any actual changes. (2) It fails to throw
UnsupportedOperationException for attempts to add non-Maven projects.


BTW if you are using MQ beware that the first line of your changelog cannot start with '#'.
Comment 6 Quality Engineering 2009-02-18 10:46:17 UTC
Integrated into 'main-golden', will be available in build *200902180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/261b1a0ae4a8
User: Milos Kleint <mkleint@netbeans.org>
Log: #157985 add ProjectClassPathModifier.addProjects() and same method in PCPMImplementation to allow adding project dependencies to ant and maven projects. Get rid of AntArtifact from signature.
add default (ant) and maven implementation, use in ejb core module when adding an ejb reference.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo